"use strict";
exports.__esModule = true;
var fetch_1 = require("../../../api/fetch");
// pages/components/feedbackDetailItem/feedbackDetailItem.js
Component({
    /**
     * 组件的属性列表
     */
    properties: {
        itemData: { type: Object, value: {} },
        shortcuts: { type: Array, value: [] }
    },
    /**
     * 组件的初始数据
     */
    data: {
        inputValue: '',
        autoHeight: true,
        r1: true,
        cb: false,
        index: -1,
        isHidden: true
    },
    /**
     * 组件的方法列表
     */
    methods: {
        inputHandle: function (e) {
            var val = e.detail.value;
            this.setData({
                inputValue: val
            });
        },
        setContent: function (e) {
            var content = e.currentTarget.dataset.content;
            this.setData({
                inputValue: content,
                isHidden: true
            });
        },
        del: function (e) {
            var _this = this;
            var id = e.currentTarget.dataset.id;
            wx.showModal({
                title: '删除提示',
                content: '您确定要删除该快捷回复吗？',
                success: function (res) {
                    if (res.confirm) {
                        (0, fetch_1.customerFetch)({
                            url: "/feedback/shortcuts/".concat(id),
                            method: 'DELETE'
                        })
                            .then(function (res) {
                            wx.showToast({
                                title: res.msg,
                                icon: 'none',
                                duration: 2000
                            });
                            _this.triggerEvent("getShortCuts");
                        })["catch"](function (err) {
                            wx.showToast({
                                title: err.errMsg,
                                icon: 'none'
                            });
                        });
                    }
                }
            });
        },
        showModal: function () {
            this.setData({
                isHidden: false
            });
        },
        setV1: function (e) {
            this.setData({
                cb: e.detail.value
            });
        },
        subData: function (str) {
            console.log(str, str.substring(0, 20));
            return str.substring(0, 20);
        },
        cancel: function () {
            this.setData({
                isHidden: true
            });
        },
        setV: function (e) {
            console.log(e);
            this.setData({
                r1: JSON.parse(e.detail.value)
            });
        },
        sendFeedback: function (e) {
            var _this = this;
            var id = e.currentTarget.dataset.id;
            var val = this.data.inputValue;
            if (val.trim() == "")
                val = "您的反馈客服已处理，谢谢！";
            console.log(val, id);
            if (this.data.cb && this.properties.shortcuts.length >= 5) {
                wx.showModal({
                    title: '添加提示',
                    content: '当前默认回复列表已经5条,若加入此条回复,将造成最早一条默认回复被删除，确定继续吗?',
                    success: function (res) {
                        if (res.confirm) {
                            (0, fetch_1.customerFetch)({
                                url: '/feedback/feedback',
                                method: 'PUT',
                                data: {
                                    id: id,
                                    isAddShortcut: _this.data.cb ? 1 : 0,
                                    replayContent: val,
                                    state: _this.data.r1 ? '3' : '2'
                                }
                            })
                                .then(function (res) {
                                wx.showToast({
                                    title: res.msg,
                                    icon: 'none',
                                    duration: 2000
                                });
                                _this.setData({
                                    inputValue: ''
                                });
                                // this.triggerEvent('refresh', {});
                                wx.navigateBack();
                            })["catch"](function (err) {
                                wx.showToast({
                                    title: err.errMsg,
                                    icon: 'none'
                                });
                            });
                        }
                    }
                });
            }
            else {
                (0, fetch_1.customerFetch)({
                    url: '/feedback/feedback',
                    method: 'PUT',
                    data: {
                        id: id,
                        replayContent: val,
                        isAddShortcut: this.data.cb ? 1 : 0,
                        state: this.data.r1 ? '3' : '2'
                    }
                })
                    .then(function (res) {
                    wx.showToast({
                        title: res.msg,
                        icon: 'none',
                        duration: 2000
                    });
                    _this.setData({
                        inputValue: ''
                    });
                    // this.triggerEvent('refresh', {});
                    wx.navigateBack();
                })["catch"](function (err) {
                    wx.showToast({
                        title: err.errMsg,
                        icon: 'none'
                    });
                });
            }
        }
    }
});
